Prophet::Resolver::IdenticalChanges(3pm)

METHODS

  attempt_automatic_conflict_resolution
Given a Prophet::Conflict which can not be cleanly applied to a replica, it is sometimes possible to automatically determine a sane resolution to the conflict.

•   When the new-state of the conflicting change matches the previous head of the replica.

•   When someone else has previously done the resolution and we have a copy of that hanging around.

In those cases, this routine will generate a Prophet::ChangeSet which resolves as many conflicts as possible.

It will then update the conclicting changes to mark which Prophet::ConflictingChanges and Prophet::ConflictingPropChanges have been automatically resolved.